Class | Rack::Deflater
In: | lib/action_controller/vendor/rack-1.0/rack/deflater.rb
Parent: | Object

### Methods

call deflate gzip new

### Constants

DEFLATE_ARGS | = | [ Zlib::DEFAULT_COMPRESSION, # drop the zlib header which causes both Safari and IE to choke -Zlib::MAX_WBITS, Zlib::DEF_MEM_LEVEL, Zlib::DEFAULT_STRATEGY

### Public Class methods

deflate(body)

Loosely based on Mongrel‘s Deflate handler

gzip(body, mtime)
new(app)

### Public Instance methods

call(env)

[Validate]